> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flowengineering.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update notification preferences



## OpenAPI

````yaml /openapi/customer-api.json patch /notifications/preferences
openapi: 3.0.0
info:
  contact: {}
  description: >-
    Flow customer API reference. Start with the [quickstart](/api/quickstart)
    and [authentication guide](/api/authentication).
  title: Customer API
  version: 1.0.0
servers:
  - description: Flow API
    url: https://backend.branch.flowengineering.com
security: []
tags:
  - name: Automations
  - name: Branches
  - name: Comments
  - name: Convert
  - name: Data Model
  - name: Diagrams
  - name: Entities
  - name: Files
  - name: Import
  - name: Notifications
  - name: Projects
  - name: ReqIF
  - name: ReqIF Import
  - name: Shared Access Grants
  - name: User Groups
  - name: Users
paths:
  /notifications/preferences:
    patch:
      tags:
        - Notifications
      operationId: NotificationsController_updatePreferences
      parameters:
        - description: Workspace identifier
          in: header
          name: customer
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateNotificationPreferencesDto'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/NotificationPreferenceDto'
                type: array
          description: ''
      security:
        - api-key: []
        - bearer: []
components:
  schemas:
    UpdateNotificationPreferencesDto:
      properties:
        preferences:
          items:
            $ref: '#/components/schemas/UpdateNotificationPreferenceItemDto'
          type: array
      required:
        - preferences
      type: object
    NotificationPreferenceDto:
      properties:
        email_enabled:
          type: boolean
        event_type:
          enum:
            - UserInvited
            - ReviewAssigned
            - ReviewSubmitted
            - ReviewStale
            - RequirementBroken
            - CommentMention
            - EntityChanged
            - CommentReply
            - CommentResolved
            - BranchReadyForReview
            - BranchMerged
            - BranchOwnerChanged
            - ShareViewOpened
          type: string
        in_app_enabled:
          type: boolean
      required:
        - event_type
        - email_enabled
        - in_app_enabled
      type: object
    UpdateNotificationPreferenceItemDto:
      properties:
        email_enabled:
          type: boolean
        event_type:
          enum:
            - UserInvited
            - ReviewAssigned
            - ReviewSubmitted
            - ReviewStale
            - RequirementBroken
            - CommentMention
            - EntityChanged
            - CommentReply
            - CommentResolved
            - BranchReadyForReview
            - BranchMerged
            - BranchOwnerChanged
            - ShareViewOpened
          type: string
        in_app_enabled:
          type: boolean
      required:
        - event_type
        - email_enabled
      type: object
  securitySchemes:
    api-key:
      in: header
      name: X-API-Key
      type: apiKey
    bearer:
      bearerFormat: JWT
      scheme: bearer
      type: http

````